<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="root">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<fo:layout-master-set>
				<fo:simple-page-master master-name="invoice" page-height="29.7cm" page-width="21cm" margin-top="2cm" margin-bottom="2cm" margin-left="2cm" margin-right="2cm">
					<fo:region-before extent="3.5cm"/>
					<fo:region-after extent=".5cm"/>
					<fo:region-body margin-top="3.5cm" margin-bottom="1.1cm" margin-left="0.5cm" margin-right="0.5cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<fo:page-sequence master-name="invoice">
				<fo:static-content flow-name="xsl-region-before">
					<fo:block>
						<fo:block>
							<fo:external-graphic src="file:images/banner.gif" width="17.2cm" height="2.48cm"/>
						</fo:block>
					</fo:block>
				</fo:static-content>
				<fo:static-content flow-name="xsl-region-after">
					<fo:block>
						<fo:block font-family="Helvetica" font-size="10pt" text-align="center">Payment is due on the 20th of the month following this invoice. Thanks.	</fo:block>
					</fo:block>
				</fo:static-content>
				<fo:flow flow-name="xsl-region-body">
					<fo:block>
						<fo:block font-family="Helvetica" font-size="14pt" font-weight="bold" text-align="start" space-after="1cm">Tax Invoice</fo:block>
						<xsl:apply-templates select="//accounts//details"/>
						<xsl:apply-templates select="//accounts//job"/>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<xsl:template match="//accounts//details">
		<fo:table>
			<fo:table-column column-width="7cm"/>
			<fo:table-column column-width="4.5cm"/>
			<fo:table-column column-width="7cm"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block font-weight="bold" space-after="0.3cm">Invoice To:</fo:block>
						<fo:block>
							<xsl:value-of select="//client"/>
						</fo:block>
						<fo:block>
							<xsl:value-of select="//address/building"/>
						</fo:block>
						<fo:block>
							<xsl:value-of select="//address/street"/>
						</fo:block>
						<fo:block>PO Box <xsl:value-of select="//address/box"/>
						</fo:block>
						<fo:block>
							<xsl:value-of select="//address/city"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block/>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block font-weight="bold" space-after="0.3cm">ZYPE Limited</fo:block>
						<fo:block>9 Woodchester Ave</fo:block>
						<fo:block>Christchurch</fo:block>
						<fo:block>Phone: 03 386 2094</fo:block>
						<fo:block space-before="0.4cm">GST Number: 79-434-272</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block space-before="0.4cm">
							<fo:inline font-weight="bold">Invoice Date: </fo:inline>
							<fo:inline>
								<xsl:value-of select="//date"/>
							</fo:inline>
						</fo:block>
						<fo:block>
							<fo:inline font-weight="bold">Invoice Number: </fo:inline>
							<fo:inline>
								<xsl:value-of select="//number"/>
							</fo:inline>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	
	<xsl:template match="//accounts//job">
<fo:table space-before="1cm">
					<fo:table-column column-width="7cm"/>
					<fo:table-column column-width="1cm"/>
					<fo:table-column column-width="2cm"/>
					<fo:table-column column-width="1cm"/>
					<fo:table-column column-width="2cm"/>
					<fo:table-column column-width="1cm"/>
					<fo:table-column column-width="2.5cm"/>
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block font-weight="bold">Description:</fo:block>
							</fo:table-cell>
							<fo:table-cell/>
							<fo:table-cell>
								<fo:block font-weight="bold">Hours: </fo:block>
							</fo:table-cell>
							<fo:table-cell/>
							<fo:table-cell>
								<fo:block font-weight="bold">Rate: </fo:block>
							</fo:table-cell>
							<fo:table-cell/>
							<fo:table-cell>
								<fo:block font-weight="bold">Total: </fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row space-after="0.5cm">
							<fo:table-cell number-columns-spanned="7">
								<fo:block>
									<fo:leader leader-length="16.3cm" leader-pattern="rule" rule-thickness=".02cm" color="black"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
							<fo:table-cell>
								<fo:block><xsl:value-of select="description"/></fo:block>
							</fo:table-cell>
							<fo:table-cell/>
							<fo:table-cell>
								<fo:block><xsl:value-of select="hours"/></fo:block>
							</fo:table-cell>
							<fo:table-cell/>
							<fo:table-cell>
								<fo:block>$<xsl:value-of select="rate"/></fo:block>
							</fo:table-cell>
							<fo:table-cell/>
							<fo:table-cell>
								<fo:block>$<xsl:value-of select="hours*rate"/></fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row space-before="2cm" space-after="0.5cm">
							<fo:table-cell number-columns-spanned="7">
								<fo:block>
									<fo:leader leader-length="16.3cm" leader-pattern="rule" rule-thickness=".02cm" color="black"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>		
				<fo:table>
					<fo:table-column column-width="11cm"/>
					<fo:table-column column-width="3cm"/>
					<fo:table-column column-width="2.5cm"/>
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell/>
							<fo:table-cell>
								<fo:block>Sub Total:</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>$<xsl:value-of select="hours*rate"/></fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
							<fo:table-cell/>
							<fo:table-cell>
								<fo:block>GST:</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>$<xsl:value-of select="(hours*rate)*0.125"/></fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row space-before="0.3cm">
							<fo:table-cell/>
							<fo:table-cell>
								<fo:block font-weight="bold">Total:</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>$<xsl:value-of select="(hours*rate)+(hours*rate)*0.125"/></fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>		
</xsl:template>
</xsl:stylesheet>
